<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE node PUBLIC "-//freedesktop//DTD D-BUS Object Introspection 1.0//EN" "http://www.freedesktop.org/standards/dbus/1.0/introspect.dtd">
<node name="/">
  <interface name="org.freesmartphone.Device.Vibrator">
    <method name="VibratePattern">
      <arg direction="in" type="i" name="pulses"/>
      <arg direction="in" type="i" name="on_duration"/>
      <arg direction="in" type="i" name="off_duration"/>
      <arg direction="in" type="i" name="strength"/>
    </method>
    <method name="Vibrate">
      <arg direction="in" type="i" name="duration"/>
      <arg direction="in" type="i" name="strength"/>
    </method>
    <method name="Stop"/>
  </interface>
</node>
